org.springframework.web.reactive.function.client

## Interface ExchangeStrategies.Builder

Enclosing interface:
  ExchangeStrategies

    public static interface ExchangeStrategies.Builder

A mutable builder for an `ExchangeStrategies`.

### Method Summary

All Methods Instance Methods Abstract Methods
`ExchangeStrategies` `build()` Builds the `ExchangeStrategies`.
`ExchangeStrategies.Builder` `codecs(Consumer<org.springframework.http.codec.ClientCodecConfigurer> consumer)` Customize the list of client-side HTTP message readers and writers.

### Method Detail

#### codecs

    ExchangeStrategies.Builder codecs(Consumer<org.springframework.http.codec.ClientCodecConfigurer> consumer)

Customize the list of client-side HTTP message readers and writers.

Parameters:
  `consumer` - the consumer to customize the codecs
Returns:
  this builder

#### build

    ExchangeStrategies build()

Builds the `ExchangeStrategies`.

Returns:
  the built strategies